Skip to content

Use this endpoint to import translated HACCP Plan data into Vault.

Before submitting this request:

  • You must first run the Export HACCP Plan Translatable Fields and Retrieve HACCP Plan Translatable Fields APIs and modify the returned JSON file with the appropriate translated data.
  • The target HACCP Plan must have an associated HACCP Translation Generation record in the Export Complete lifecycle state.
  • You must have permission to edit all translatable fields in the target HACCP Plan.

The following guidelines apply to the input file:

  • Translated field data must be in JSON format.
  • The maximum input JSON file size is 250MB.
  • The following field types are supported for import:
    • Text (Metadata return type = String)
    • Long Text (Metadata return type = LongText)
    • Rich Text (Metadata return type = RichText)
  • See Translating HACCP Plans for additional guidelines.
POST/api/{version}/app/qualityone/haccp_plan/{haccp_plan_record_id}/translatable_fields
NameDescription
Content-Typemultipart/form-data
Acceptapplication/json
NameDescription
{haccp_plan_record_id}The ID field value for the HACCP Plan record you wish to translate.
NameDescription
file
required
The filepath of the JSON document. The maximum allowed file size is 250MB.
curl -L -X POST -H "Authorization: {SESSION_ID}" \ -H "Accept: application/json" \ -H 'Content-Type: multipart/form-data' \ -F 'file=@"V7V00000000R001.json"' https://myvault.veevavault.com/api/v25.3/app/qualityone/haccp_plan/V7V00000000R001/translatable_fields
{ "responseStatus": "SUCCESS", "data": { "job_id": "392903" } }

On SUCCESS, Vault returns a job_id and populates the translatable fields on the target HACCP Plan record and its related records with the values provided in the imported JSON file. On FAILURE, the response includes a reason for the failure.